Bug 449002 - 'Starting udev' has translation issues
'Starting udev' has translation issues
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-29 16:32 EDT by Bill Nottingham
Modified: 2014-03-16 23:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:23:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Before upgrade Fedora 9 to Rawhide (9.90.1) (25.00 KB, image/png)
2008-09-11 06:57 EDT, QVirus
no flags Details
Before upgrade Fedora 9 to Rawhide (9.90.1) MC window (22.25 KB, image/png)
2008-09-11 06:58 EDT, QVirus
no flags Details
After upgrade Fedora 9 to Rawhide (9.90.1) boot (19.46 KB, image/png)
2008-09-11 06:59 EDT, QVirus
no flags Details
After upgrade Fedora 9 to Rawhide (9.90.1) MC window (22.25 KB, image/png)
2008-09-11 06:59 EDT, QVirus
no flags Details
After upgrade Fedora 9 to Rawhide (9.90.1) MC window (21.93 KB, image/png)
2008-09-11 07:04 EDT, QVirus
no flags Details

  None (edit)
Description Bill Nottingham 2008-05-29 16:32:41 EDT
Description of problem:

Since the font & associated unicode-ness is set by a udev script, this can't be
translated correctly. It should probably either a) not be translated b) not be
echoed.

Version-Release number of selected component (if applicable):

F9

How reproducible:

Every time

Steps to Reproduce:
1. Install in a language that uses non-ascii characters (ru_RU.UTF-8 is a nice
example)
2. Boot
  
Actual results:

Translated incorrectly
Comment 1 QVirus 2008-09-11 06:57:38 EDT
Created attachment 316416 [details]
Before upgrade Fedora 9 to Rawhide (9.90.1)
Comment 2 QVirus 2008-09-11 06:58:41 EDT
Created attachment 316417 [details]
Before upgrade Fedora 9 to Rawhide (9.90.1) MC window
Comment 3 QVirus 2008-09-11 06:59:19 EDT
Created attachment 316418 [details]
After upgrade Fedora 9 to Rawhide (9.90.1) boot
Comment 4 QVirus 2008-09-11 06:59:52 EDT
Created attachment 316419 [details]
After upgrade Fedora 9 to Rawhide (9.90.1) MC window
Comment 5 QVirus 2008-09-11 07:02:41 EDT
[root@test ~]# cat /etc/sysconfig/i18n
LANG="ru_RU.UTF-8"
SYSFONT="latarcyrheb-sun16"
Comment 6 QVirus 2008-09-11 07:04:43 EDT
Created attachment 316421 [details]
After upgrade Fedora 9 to Rawhide (9.90.1) MC window
Comment 7 QVirus 2008-09-11 09:31:31 EDT
Fix this problem:

--- /etc/profile.d/lang.sh.orig 2008-08-29 21:10:43.000000000 +0400
+++ /etc/profile.d/lang.sh      2008-09-12 04:49:16.000000000 +0400
@@ -77,7 +77,7 @@
        ;;
       esac
     fi
-
+/bin/setfont $SYSFONT
     unset SYSFONTACM SYSFONT consoletype
 fi
 unset sourced
Comment 8 Bill Nottingham 2008-09-11 11:32:36 EDT
That is... not the correct fix. See the original comment; you either need to not translate it, or not echo it.
Comment 9 Bug Zapper 2009-06-09 21:16:50 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-07-14 11:23:39 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.